import { OnInit, OnDestroy, ElementRef, AfterViewInit } from '@angular/core';
import { PullDownRefreshController } from './pull-down-refresh-controller';
export declare class RefresherComponent implements OnInit, OnDestroy, AfterViewInit {
    private pullDownRefreshController;
    private scale;
    private doRefreshDistance;
    canvas: ElementRef;
    color: string;
    readonly height: string;
    opacity: number;
    progress: number;
    isLoaded: boolean;
    private subs;
    private canvasElement;
    private context;
    private containerWidth;
    private animationId;
    constructor(pullDownRefreshController: PullDownRefreshController, scale: number, doRefreshDistance: number);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    inStage(): void;
    outStage(): void;
    animateYoYo(): void;
    drawProgress(progress: number): void;
}
